Bug 538046 - (spacewalk-certs-tool) Review Request: spacewalk-certs-tools - Spacewalk SSL Key/Cert Tool
Review Request: spacewalk-certs-tools - Spacewalk SSL Key/Cert Tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2009-11-17 07:22 EST by Miroslav Suchý
Modified: 2009-11-27 07:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 07:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jochen Schmitt 2009-11-17 15:46:38 EST
Good:
+ Name of the package fullfill naming guidelines
+ Basename of the SPEC file matches with package name
+ Text in package is written in English
+ URL shows on proper homepage of the project
+ Should downloading upstream tarball via spectool -g
+ Package sources matches with upstream tar ball
+ License tag exlaim GPLv2 as a valis OSS license
+ Copyrigh notes on the head of source files matches
  with license statement of the license tag
(md5sum: 8060d39e6f3ea5984cdd643405bfebb1)
+ Package will build as noarch
+ Package has no subpackages
+ Package has proper definition of the BuildRoot
+ Local build works fine
+ BuildRoot will be cleaned at beginning of %clean and %install
+ Rpmlint is silent on source rpm
+ Rpmlint is silent on binary rpm
+ Locan install/uninstall works fine
+ Scratch build works fine on koji
+ %files stanza has no duplicates entries
+ Ammount of documentation is small, so we need
  no doc subpackages
+ Package has proper Changelog

Bad:
- Package doesn't contains a verbatin copy ot the license
  text (No blocker, but please contact upstream to include 
  one into the upstream package)
- Please use %global instead of %define
- Please use
    %global rhnroot %{_datadir}/rhn
  instead of
    %define rhnroot %{_prefix}/share/rhn
- We prefer %defattr(-,root,root,-)
- question: Who should ownd %{rhnroot} and
  %{rhnroot}/certs
Comment 2 Miroslav Suchý 2009-11-18 04:46:34 EST
> Package doesn't contains a verbatin copy ot the license
> text (No blocker, but please contact upstream to include 
> one into the upstream package)
Since I'm part of upstream, I added it there.
I also changed license to GPL2 and Python (been notified yesterday in review 491088).

> Please use %global instead of %define
Done

> We prefer %defattr(-,root,root,-)
Done.

> question: Who should ownd %{rhnroot}
rhn-client-tools. Added to Requires. Nice catch.
> and %{rhnroot}/certs  
This package should. Done.

Updated SPEC:
http://miroslav.suchy.cz/fedora/spacewalk-certs-tools/spacewalk-certs-tools.spec
Updated SRPM:
http://miroslav.suchy.cz/fedora/spacewalk-certs-tools/spacewalk-certs-tools-0.7.2-1.src.rpm
Comment 3 Jochen Schmitt 2009-11-23 11:51:41 EST
Good:
+ Package contains verbain copy of the license text
+ Could download upstream tarball via spectool -g
+ Packaged tar ball matches with upstream
(md5sum: a918530536865e24b7d9a7f2be956626)
+ Local build works fine
+ Scratch build on koji works fine
+ All files and dirs are owned by a package

*** APPROVED ***
Comment 4 Miroslav Suchý 2009-11-24 03:28:27 EST
New Package CVS Request
=======================
Package Name: spacewalk-certs-tools
Short Description: Spacewalk SSL Key/Cert Tool
Owners: msuchy
Branches: F-11, F-12
InitialCC:
Comment 5 Kevin Fenzi 2009-11-27 00:52:24 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.